Announcement

Collapse
No announcement yet.

AMD Catalyst 7.11 Linux Driver

Collapse
This topic is closed.
X
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by planetf1 View Post
    Only had a few mins to try, but with the pci_id hack, the 7.11 driver appears to work under RHEL5.1.
    with a FireGL V5250
    In an hour or so I've decided this driver is not good.

    I am unable to drive a secondary screen at the correct resolution with this driver - worked fine under 8.35 which I've reverted to & is still the best (for me)

    Disappointing, yet another month. Next time I think I'll look for an nvidia laptop ..

    Comment


    • Hi,
      I've got a mainboard with 690G/SB600. With all the drivers from ATI following is not working:
      - XV (tvtime does not start).
      - When I start xawtv the screen turns black. Changing to console and back to X "resolves" this issue.
      - AIGLX is turned on (Xorg.0.log), but compiz doesn't recognize the GLEXT_texture_from_pixmap.

      Does anybody know if XV and maybe compiz will work in the next (7.12?) release?
      Especially missing XV is a crap.

      Comment


      • So... fglrx still officially sucks!

        Message from a "proud"?! ATi customer

        Oh, btw, what is this release name? "cat *.h | sed s/8.42/8.43" would be great }:>

        Comment


        • Originally posted by mrb74 View Post
          Does anybody know if XV and maybe compiz will work in the next (7.12?) release?
          if u get a nividia card it will work even with one recently released

          Comment


          • i don't understand why to me this driver doesn't give problems....
            i have an x200m which works better and better with every release, a radeon 9550 256 which works flawlessly, a x1000 which works without problems and a hd2600pro which works out of the box.
            all of them work without problems and i really can't understand why the people aren't able to use the drivers and always go blaming on the driver.
            this things should have happened to me too.... but i don't have really relevant problems with gentoo and opensuse 10.3 when installing and using them.
            i can also compile and use suspend with both slub and slab and with 2.6.24-r releases (but it works only once refusing to go on suspend/hibernate the second time that you chose the same option).
            on this forum the people just complains about various problems but i don't really experience them and that makes me wonder this question:
            are you really sure that these issues are driver dependent and not distro dependent?!

            Comment


            • I can now verify, that the screen corruptions have NOT been fixed. So as far as I'm concerned, this is _exactly_ the same driver as 8.42.3.
              Maybe I should diff the files, wouldn't suprise me if they are the same, except for the 2.6.23 support of course.

              Comment


              • Givemesugarr, I think thats because ATI developers are only working on systems, simlar to yours! Good, plz update your system so that ATI's guys would update their systems too! Think about nvidia card!

                Comment


                • Givemesugarr, I think thats because ATI developers are only working on systems, simlar to yours! Good, plz update your system so that ATI's guys would update their systems too! Think about nvidia card!
                  i use opensuse 10.3 i586, opesuse factory amd64, gentoo stable/unstable+overlays(unstable)+svns amd64 and i586 with the latest releases except for the core of the system which is composed of the stable gentoo and the opensuse stable branch. so my apps are always updated to the newest version with the exception of the core system. and this fact keeps out the various bugs around which came out with the unstable core system. with core system i mean:
                  virtual/baselayout
                  app-arch/bzip2
                  app-arch/cpio
                  app-arch/tar
                  app-shells/bash
                  dev-lang/perl
                  dev-lang/python
                  net-misc/iputils
                  net-misc/rsync
                  net-misc/wget
                  sys-apps/coreutils
                  sys-apps/debianutils
                  sys-apps/diffutils
                  sys-apps/file
                  sys-apps/findutils
                  sys-apps/gawk
                  sys-apps/grep
                  sys-apps/groff
                  sys-apps/kbd
                  sys-apps/net-tools
                  >=sys-apps/portage-2.0.51.22
                  sys-process/procps
                  sys-process/psmisc
                  sys-apps/sed
                  sys-apps/shadow
                  sys-apps/texinfo
                  sys-apps/which
                  sys-devel/autoconf
                  sys-devel/automake
                  sys-devel/binutils
                  sys-devel/bison
                  sys-devel/flex
                  sys-devel/gcc
                  sys-devel/gnuconfig
                  sys-devel/libtool
                  sys-devel/m4
                  sys-devel/make
                  sys-devel/patch
                  sys-fs/e2fsprogs
                  sys-libs/ncurses
                  sys-libs/readline
                  sys-libs/zlib
                  virtual/dev-manager
                  virtual/editor
                  virtual/gzip
                  virtual/libc
                  virtual/man
                  virtual/modutils
                  virtual/os-headers
                  virtual/pager
                  virtual/ssh
                  sys-apps/busybox
                  sys-apps/hdparm
                  sys-apps/man-pages
                  sys-apps/util-linux
                  and of course xorg which on my pcs is the 7.2 with the latest xorg-server-1.3.
                  in my opinion the new xorg-7.3 and the new xorg-server-1.4 hasn't added much important features and since the fglrx doesn't officially support some of these features is completely useful upgrading since the stable branch is still the 7.2 with server-1.3.
                  you can do as i did or continue to blame ati for nothing. if after the new years' release fglrx wouldn't have supported the features in 7.3 and server 1.4 then maybe that would be a problem, but since then i wouldn't worry much.

                  Comment


                  • Originally posted by givemesugarr View Post
                    i don't understand why to me this driver doesn't give problems....
                    i have an x200m which works better and better with every release, a radeon 9550 256 which works flawlessly, a x1000 which works without problems and a hd2600pro which works out of the box.
                    all of them work without problems and i really can't understand why the people aren't able to use the drivers and always go blaming on the driver.
                    this things should have happened to me too.... but i don't have really relevant problems with gentoo and opensuse 10.3 when installing and using them.
                    i can also compile and use suspend with both slub and slab and with 2.6.24-r releases (but it works only once refusing to go on suspend/hibernate the second time that you chose the same option).
                    on this forum the people just complains about various problems but i don't really experience them and that makes me wonder this question:
                    are you really sure that these issues are driver dependent and not distro dependent?!
                    I really don't believe your 9550 (I have a 9600) works perfectly with compiz (without firefox or other programs scrolling problems), I don't believe it works well with aiglx like xgl and I don't believe you can watch films without flickering USING OPENGL OUTPUT (OR XV, I don't remember which between them works).

                    Comment


                    • well..its not a real solution but:
                      I switched back from compiz to xfwm4, its compositing works better with these crappy drivers, I could upgrade to xorg-server-1.4 and xv works (main reason of my choice. (I gained 300fps more with glxgears: from 1600-1700 to 1900-2000, on ati x1400)

                      Comment

                      Working...
                      X